/*-
 * Copyright (c) 2003-2004 Seth Kingsley.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgment:
 *    This product includes software developed by Seth Kingsley and
 *    contributors.
 * 4. Neither the author's name, nor any of the contributors names may be
 *    used to endorse or promote products derived from this software without
 *    specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/* $Id: callbacks.h,v 1.23 2004/08/24 02:40:08 sethk Exp $ */

#ifndef CALLBACKS_H
#define CALLBACKS_H

/* Only included from bpm-gui.c. */
#include    <xmk-gtk.h>

/* portsman.c */
void on_about(GtkMenuItem *menuitem, gpointer user_data);

/* refresh.c */
void on_refresh(GtkWidget *widget, gpointer user_data);
void on_console(GtkWidget *widget, gpointer user_data);
void on_search(GtkWidget *widget, gpointer user_data);
void on_search_prompt(GtkMenuItem *menuitem, gpointer user_data);
void on_search_dialog_response(GtkDialog * dialog,
	gint response_id,
	gpointer user_data);
void on_search_clear(GtkWidget *widget, gpointer user_data);

/* catlist.c */
void on_catlist_select_row(GtkCList *clist,
	gint row,
	gint column,
	GdkEvent *event,
	gpointer user_data);

/* portlist.c */
void on_portlist_select_row(GtkCList *clist,
	gint row,
	gint column,
	GdkEvent *event,
	gpointer user_data);
gboolean on_portlist_button_press_event(GtkWidget *widget,
	GdkEventButton *event,
	gpointer user_data);
void on_action(GtkButton *button, gpointer user_data);
gboolean on_portlist_key_press_event(GtkWidget *widget,
	GdkEventKey *event,
	gpointer user_data);
void on_portlist_click_column(GtkCList *clist,
	gint column,
	gpointer user_data);

/* install.c */
void on_action_details_toggled(GtkToggleButton *togglebutton,
	gpointer user_data);
gboolean on_action_cancel(GtkWidget *widget,
	GdkEvent *event,
	gpointer user_data);
void on_action_sbar_realize(GtkStatusbar *_sbar, gpointer user_data);
void on_action_run(GtkButton *button, gpointer user_data);

/* descview.h */
gboolean on_descview_motion_notify_event(GtkWidget *widget,
	GdkEventMotion *event,
	gpointer user_data);
gboolean on_descview_button_press_event(GtkWidget *widget,
	GdkEventButton *event,
	gpointer user_data);


/* log.h */
void on_log_view(GtkMenuItem *menuitem, gpointer user_data);
void on_log_clear(GtkButton *button, gpointer user_data);

#endif /* !CALLBACKS_H */

